/***************************************************************************
                          parser.h  -  description
                             -------------------
    begin                : Tue Mar 21 2000
    copyright            : (C) 2000 by Siegfried Nijssen
    email                : snijssen@cs.leidenuniv.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef PARSER_H
#define PARSER_H

struct AtomString {
  char *name;
  int nrofparams;
  AtomString **params;
};

typedef bool ( *AtomString_callback ) ( AtomString *atomstring );

void free_atomstring ( AtomString *atom );
bool print_atomstring ( AtomString *atom );
bool parse ( const char *filename, AtomString_callback _callback, char flag );

#endif
