/***************************************************************************
                        tree_global.h  -  Visual farmer
                             -------------------
    begin                : Fri Aug 4 2000
    copyright            : (C) 2000 by Siegfried Nijssen
    email                : snijssen@cs.leidenuniv.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef TREE_GLOBAL_H
#define TREE_GLOBAL_H
#include "tree.h"
#include "tree_validation.h"
#include "output.h"
#include "globaldata.h"
#include "modefacttable.h"
#include "type.h"

extern Node **nodehistory;
extern int nodehistorysize;
extern Node *root;
extern int treedepth;
extern int *nvar;
extern int *maxnvar; // maximum number of variables for each type
extern INTTYPE **varval;

#endif
