/***************************************************************************
                          qgraphatom.h  -  Gilder header
                             -------------------
    begin                : Sun Sep 24 2000
    copyright            : (C) 2000 by Siegfried Nijssen
    email                : snijssen@cs.leidenuniv.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QGRAPHATOM_H
#define QGRAPHATOM_H
#include "gilder/tree.h"
#include <qwidget.h>

/**
  *@author Siegfried Nijssen
  */

class QGraphAtom : public QWidget  {
   Q_OBJECT
public: 
	QGraphAtom(Node *node,QWidget *parent=0, const char *name=0);
	QGraphAtom(char clas,QWidget *parent=0, const char *name=0);
 	~QGraphAtom();
	int accessX () { return w / 2; }
	void setHighlight ( bool val );
protected:
	void paintEvent ( QPaintEvent * );
	void mouseMoveEvent ( QMouseEvent * );
	void mousePressEvent ( QMouseEvent * );
	void mouseReleaseEvent ( QMouseEvent * );
private:
	void fillCoors ();
	int n;
	Node *node;
	char clas;
	int *x;
	int w, h;
	int dragx, dragy, tx, ty;
	bool highlight;
};

#endif
