/***************************************************************************
                            -  description
                             -------------------
    begin                : Thu May 18 2000
    copyright            : (C) 2000 by Siegfried Nijssen
    email                : snijssen@cs.leidenuniv.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef EXTERN_H
#define EXTERN_H
#include "type.h"
#include "modefacttable.h"

typedef bool (*TgetFact) ( unsigned int *coor );
typedef ModeFactCoors *(*TgetTrueFacts) ( unsigned int *coor );

TgetTrueFacts extern_lookup_modefacttable ( char *name );
TgetFact extern_lookup_facttable ( char *name );
void extern_init ();

#define BEGIN_EXTERNAL_MODEFACTTABLES \
  TgetTrueFacts extern_lookup_modefacttable ( char *name ) {
#define END_EXTERNAL_MODEFACTTABLES \
    {} \
    return NULL;\
  }
  
#define EXTERNAL_MODEFACTTABLE(name2) \
  if ( strcmp ( name, #name2 ) == 0 ) \
    return name2; \
  else

#define BEGIN_EXTERNAL_FACTTABLES \
  TgetFact extern_lookup_facttable ( char *name ) {
#define END_EXTERNAL_FACTTABLES \
    {} \
    return NULL;\
  }

#define EXTERNAL_FACTTABLE(name2) \
  if ( strcmp ( name, #name2 ) == 0 ) \
    return name2; \
  else

#define BEGIN_EXTERNAL_INIT \
  void extern_init () {
#define EXTERNAL_INIT(function) \
  function ();
#define END_EXTERNAL_INIT \
  }
    
#endif
