/***************************************************************************
                          globaldata.h  -  description
                             -------------------
    begin                : Tue Mar 21 2000
    copyright            : (C) 2000 by Siegfried Nijssen
    email                : snijssen@cs.leidenuniv.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef GLOBALDATA_H
#define GLOBALDATA_H
#include "typetable.h"
#include "predicatetable.h"
#include "modetable.h"
#include "keyfacttables.h"

extern TypeTable typetable;
extern PredicateTable predicatetable;
extern ModeTable modetable;
extern bool showconstantnames;
extern bool gainratio;
extern PredicateData *akeypredicate;
extern KeyFactTables *train_keyfacttables, *test_keyfacttables, *keyfacttables;
extern int *keynrtopnr; // to translate a key nr to a predicate nr
extern int leafthreshold;
extern int otherclassleafthreshold;
extern int crossvalidation;
extern int maxlookahead;
extern int lookaheadfraction;
extern double lookaheadpunishment;
extern double addlap;
extern bool constlapunishment;
extern double minimpurityincrease;
extern bool mdl;
extern bool othertest;
extern bool shuffle;
extern bool usefirstattributeforvalidation;
extern bool displaydistribution;
extern bool prune;
extern bool validationtable;

void globaldata_print ();

#endif
